Author Topic: Partially Broken 1204 after apt-get update/upgrade/disklessTBZ - SOLVED!  (Read 2001 times)

tompin2

  • Veteran
  • ***
  • Posts: 131
    • View Profile
Dear All,

After doing update/upgrade/disklessTBZ  and today I'm getting a issue with two packages.
The weird thing is that no computer within 192.168.80 network can access outside but the core.  Core is ok

Code: [Select]
sudo dpkg --configure -a gives this
Setting up lmce-diskless-tools (2.0.0.46.15091031356) ...
/var/lib/dpkg/info/lmce-diskless-tools.postinst: line 48: /usr/pluto/bin/UpdateDebCache.sh: No such file or directory
dpkg: error processing lmce-diskless-tools (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of pluto-newmdinteractor:
 pluto-newmdinteractor depends on lmce-diskless-tools (>= 2.0.0.46); however:
  Package lmce-diskless-tools is not configured yet.
 pluto-newmdinteractor depends on lmce-diskless-tools (<< 2.0.0.47); however:
  Package lmce-diskless-tools is not configured yet.
dpkg: error processing pluto-newmdinteractor (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 lmce-diskless-tools
 pluto-newmdinteractor

It appears that there is a bug in diskless tools.  But also newmdirector has issues.    Any ideas?

« Last Edit: September 16, 2015, 05:42:57 pm by tompin2 »

phenigma

  • LinuxMCE God
  • ****
  • Posts: 1749
    • View Profile
Re: Partially Broken 1004 after apt-get update/upgrade/disklessTBZ
« Reply #1 on: September 16, 2015, 02:51:10 am »
First thing is that you appear to be running 1204 by the package versions you are quoting, not the 1004 version you state in the subject.  Is that correct?

It appears to be missing a new file from the pluto-boot-scripts packages.  That likely means a missing dependency on pluto-boot-scripts in the diskless-tools package.

Try a couple of things:
Code: [Select]
apt-get update
apt-get -f install
apt-get dist-upgrade

or try manually updating the bootscripts package to ensure the script is available:
Code: [Select]
apt-get update
apt-get install pluto-boot-scripts
apt-get -f install

I have added the dependency and watch http://wiki.linuxmce.org/index.php/LinuxMCE-1204_pre-alpha for when the updates make it to the repository.

As for the networking issue that I'm not certain about but may be related to an incomplete upgrade.

J.

tompin2

  • Veteran
  • ***
  • Posts: 131
    • View Profile
Re: Partially Broken 1204 after apt-get update/upgrade/disklessTBZ - SOLVED!
« Reply #2 on: September 16, 2015, 05:42:08 pm »
Hi Phenigma,

You are absolutely right!! Thanks for the response!!!, let me correct that right away.  The problem is solved now I just did not have time to update.
I have no idea (probably for my continuous never ending learning curve on linux) why but I went to KDE desktop and open the package manager as root and it did show several more packages that needed upgrade, that did not where shown at the console using apt-get.  Upgrade them all and problem solved.  I did had to do apt-get install on one that the package manager didn't wanted to do it but apt-get did the trick.
System up and running!

Cheers,
T

phenigma

  • LinuxMCE God
  • ****
  • Posts: 1749
    • View Profile
Re: Partially Broken 1204 after apt-get update/upgrade/disklessTBZ - SOLVED!
« Reply #3 on: September 16, 2015, 10:42:24 pm »
Good stuff!

J.